Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.templates
Class ElemLiteralResult

    java.lang.Object
      |
      +--org.apache.xalan.utils.UnImplNode
            |
            +--org.apache.xalan.templates.ElemTemplateElement
                  |
                  +--org.apache.xalan.templates.ElemUse
                        |
                        +--org.apache.xalan.templates.ElemLiteralResult

Direct Known Subclasses:
  ElemExtensionCall, ElemUnknown

public class ElemLiteralResult
extends ElemUse

**For advanced use only** Implement a Literal Result Element.

See Also:
  literal-result-element in XSLT Specification, Serialized Form

Constructor Summary
`ElemLiteralResult()` **For advanced use only**

Method Summary
`void` | `addLiteralResultAttribute(AVT avt)` **For advanced use only** Set a literal result attribute (AVTs only).
`void` | `addLiteralResultAttribute(java.lang.String att)` **For advanced use only** Set a literal result attribute (used for xsl attributes).
`boolean` | `containsExtensionElementURI(java.lang.String uri)` **For advanced use only** Get and "extension-element-prefix" property.
`java.util.Enumeration` | `enumerateLiteralResultAttributes()` **For advanced use only** Compiling templates requires that we be able to list the AVTs ADDED 9/5/2000 to support compilation experiment
`void` | `execute(TransformerImpl transformer, Node sourceNode, QName mode)` **For advanced use only** Copy a Literal Result Element into the Result tree, copy the non-excluded namespace attributes, copy the attributes not of the XSLT namespace, and execute the children of the LRE.
`java.lang.String` | `getExtensionElementPrefix(int i)` **For advanced use only** Get and "extension-element-prefix" property.
`int` | `getExtensionElementPrefixCount()` **For advanced use only** Get the number of "extension-element-prefixes" Strings.
`AVT` | `getLiteralResultAttribute(java.lang.String name)` **For advanced use only** Get a literal result attribute by name.
`java.lang.String` | `getLocalName()` **For advanced use only** Get the local name of the Literal Result Element.
`java.lang.String` | `getNamespace()` **For advanced use only** Get the m_namespace of the Literal Result Element.
`java.lang.String` | `getNodeName()` **For advanced use only** Return the node name.
`java.lang.String` | `getRawName()` **For advanced use only** Get the raw name of the Literal Result Element.
`int` | `getXSLToken()` **For advanced use only** Get an int constant identifying the type of element.
`void` | `resolvePrefixTables()` **For advanced use only** Combine the parent's namespaces with this namespace for fast processing, taking care to reference the parent's namespace if this namespace adds nothing new.
`void` | `setExcludeResultPrefixes(StringVector v)` **For advanced use only** Set the "exclude-result-prefixes" property.
`void` | `setExtensionElementPrefixes(StringVector v)` **For advanced use only** Set the "extension-element-prefixes" property.
`void` | `setLocalName(java.lang.String localName)` **For advanced use only** Set the local name of the LRE.
`void` | `setNamespace(java.lang.String ns)` **For advanced use only** Set the m_namespace of the LRE.
`void` | `setRawName(java.lang.String rawName)` **For advanced use only** Set the raw name of the LRE.
`void` | `setVersion(java.lang.String v)` **For advanced use only** Set the "version" property.

Methods inherited from class org.apache.xalan.templates.ElemUse
`getUseAttributeSets, setUseAttributeSets, setUseAttributeSets`

Methods inherited from class org.apache.xalan.templates.ElemTemplateElement
`appendChild, compose, error, getBaseIdentifier, getChildNodes, getColumnNumber, getDeclaredPrefixes, getDOMBackPointer, getFirstChild, getFirstChildElem, getLastChild, getLength, getLineNumber, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNextSiblingElem, getNodeType, getOwnerDocument, getParentElem, getParentNode, getPrefixes, getPreviousSibling, getPublicId, getStylesheet, getStylesheetComposed, getStylesheetRoot, getSystemId, getTagName, getXmlSpace, hasChildNodes, isCompiledTemplate, item, removeChild, replaceChild, runtimeInit, setDOMBackPointer, setLocaterInfo, setPrefixes, setPrefixes, setXmlSpace`

Methods inherited from class org.apache.xalan.utils.UnImplNode
`appendData, cloneNode, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, error, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDoctype, getDocumentElement, getElementById, getElementsByTagName, getElementsByTagNameNS, getImplementation, getNamespaceURI, getNodeValue, getOwnerElement, getPrefix, getSpecified, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertBefore, insertData, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceData, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setNodeValue, setPrefix, setValue, splitText, substringData, supports`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElemLiteralResult

    public ElemLiteralResult()

Method Detail

### addLiteralResultAttribute

    public void addLiteralResultAttribute(AVT avt)

  **For advanced use only** Set a literal result attribute (AVTs only).

### addLiteralResultAttribute

    public void addLiteralResultAttribute(java.lang.String att)

  **For advanced use only** Set a literal result attribute (used for xsl attributes).

### getLiteralResultAttribute

    public AVT getLiteralResultAttribute(java.lang.String name)

  **For advanced use only** Get a literal result attribute by name.

### setNamespace

    public void setNamespace(java.lang.String ns)

  **For advanced use only** Set the m_namespace of the LRE.

### getNamespace

    public java.lang.String getNamespace()

  **For advanced use only** Get the m_namespace of the Literal Result Element.

### setLocalName

    public void setLocalName(java.lang.String localName)

  **For advanced use only** Set the local name of the LRE.

### getLocalName

    public java.lang.String getLocalName()

  **For advanced use only** Get the local name of the Literal Result Element.
  Overrides:
    getLocalName in class UnImplNode

### setRawName

    public void setRawName(java.lang.String rawName)

  **For advanced use only** Set the raw name of the LRE.

### getRawName

    public java.lang.String getRawName()

  **For advanced use only** Get the raw name of the Literal Result Element.

### setExtensionElementPrefixes

    public void setExtensionElementPrefixes(StringVector v)

  **For advanced use only** Set the "extension-element-prefixes" property.
  See Also:
    extension-element in XSLT Specification

### getExtensionElementPrefix

    public java.lang.String getExtensionElementPrefix(int i)
                                               throws java.lang.ArrayIndexOutOfBoundsException

  **For advanced use only** Get and "extension-element-prefix" property.
  See Also:
    extension-element in XSLT Specification

### getExtensionElementPrefixCount

    public int getExtensionElementPrefixCount()

  **For advanced use only** Get the number of "extension-element-prefixes" Strings.
  See Also:
    extension-element in XSLT Specification

### containsExtensionElementURI

    public boolean containsExtensionElementURI(java.lang.String uri)

  **For advanced use only** Get and "extension-element-prefix" property.
  See Also:
    extension-element in XSLT Specification

### getXSLToken

    public int getXSLToken()

  **For advanced use only** Get an int constant identifying the type of element.
  Overrides:
    getXSLToken in class ElemTemplateElement
  See Also:
    `Constants`

### getNodeName

    public java.lang.String getNodeName()

  **For advanced use only** Return the node name.
  Overrides:
    getNodeName in class ElemTemplateElement

### setVersion

    public void setVersion(java.lang.String v)

  **For advanced use only** Set the "version" property.
  See Also:
    forwards in XSLT Specification

### setExcludeResultPrefixes

    public void setExcludeResultPrefixes(StringVector v)

  **For advanced use only** Set the "exclude-result-prefixes" property. The designation of a namespace as an excluded namespace is effective within the subtree of the stylesheet rooted at the element bearing the exclude-result-prefixes or xsl:exclude-result-prefixes attribute; a subtree rooted at an xsl:stylesheet element does not include any stylesheets imported or included by children of that xsl:stylesheet element.
  See Also:
    literal-result-element in XSLT Specification

### resolvePrefixTables

    public void resolvePrefixTables()
                             throws SAXException

  **For advanced use only** Combine the parent's namespaces with this namespace for fast processing, taking care to reference the parent's namespace if this namespace adds nothing new. (Recursive method, walking the elements depth-first, processing parents before children). Overide super method to handle exclude-result-prefix attribute.
  Overrides:
    resolvePrefixTables in class ElemTemplateElement

### execute

    public void execute(TransformerImpl transformer,
                        Node sourceNode,
                        QName mode)
                 throws SAXException

  **For advanced use only** Copy a Literal Result Element into the Result tree, copy the non-excluded namespace attributes, copy the attributes not of the XSLT namespace, and execute the children of the LRE.
  Overrides:
    execute in class ElemUse
  See Also:
    literal-result-element in XSLT Specification

### enumerateLiteralResultAttributes

    public java.util.Enumeration enumerateLiteralResultAttributes()

  **For advanced use only** Compiling templates requires that we be able to list the AVTs ADDED 9/5/2000 to support compilation experiment

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.